//! # Comunic administrator
//!
//! @author Pierre Hubert

#[derive(Copy, Clone, Eq, PartialEq)]
pub struct AdminID(u64);

impl AdminID {
    pub fn new(id: u64) -> Self {
        Self(id)
    }

    pub fn id(&self) -> u64 {
        self.0
    }
}

pub struct NewAdmin {
    pub name: String,
    pub email: String,
}

pub struct AdminResetToken {
    pub token: String,
    pub expire: u64,
}

pub struct Admin {
    pub id: AdminID,
    pub time_create: u64,
    pub name: String,
    pub email: String,
    pub reset_token: Option<AdminResetToken>,
}

pub struct AdminKey {
    pub id: u64,
    pub admin_id: AdminID,
    pub name: String,
    pub key: String,
}